% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BCSOD_package.R
\name{bcsod}
\alias{bcsod}
\title{Extract the most outlying observations following a criteria based on concordance with parallel processing}
\usage{
bcsod(surv.object, covariate.data, sod.method, B, B.N, max.outliers, mc.cores)
}
\arguments{
\item{surv.object}{An obect of type survival::Surv containing lifetimes and right-censoring status}

\item{covariate.data}{A data frame containing the data with covariate values for each individual}

\item{sod.method}{One of c("osd","bht","dbht","ld","martingale","deviance")}

\item{B}{The number of bootstrap samples generated only applicable for "bht" and "dbht" methods}

\item{B.N}{the number of observations in each bootstrap sample}

\item{max.outliers}{This parameter is only used for the "osd" method}

\item{mc.cores}{The number of cores to execute the methods "bht" and "dbht"}
}
\value{
A data.frame containing the most outlying observations sorted by outlying score
}
\description{
Extract the most outlying observations following a criteria based on concordance with parallel processing
}
